./net/ruby-tw, CUI Twitter Client

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.3.1, Package name: ruby27-tw-1.3.1, Maintainer: tsutsui

Ruby based CUI Twitter client.


Required to run:
[misc/ruby-launchy] [security/ruby-oauth] [net/ruby-twitter] [misc/ruby-parallel] [misc/ruby-args_parser] [misc/ruby-rainbow] [lang/ruby26-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

Filesize: 14.5 KB

Version history: (Expand)


CVS history: (Expand)


   2022-01-14 16:51:50 by Takahiro Kambe | Files touched by this commit (1)
Log message:
net/ruby-tw: s/RUBY_JSON_VERSION/RUBY_JSON_VER/

Replase RUBY_JSON_VERSION to RUBY_JSON_VER.
   2021-10-26 13:07:15 by Nia Alarie | Files touched by this commit (958)
Log message:
net: Replace RMD160 checksums with BLAKE2s checksums

All checksums have been double-checked against existing RMD160 and
SHA512 hashes

Not committed (merge conflicts...):

net/radsecproxy/distinfo

The following distfiles could not be fetched (fetched conditionally?):

./net/citrix_ica/distinfo citrix_ica-10.6.115659/en.linuxx86.tar.gz
./net/djbdns/distinfo dnscache-1.05-multiple-ip.patch
./net/djbdns/distinfo djbdns-1.05-test28.diff.xz
./net/djbdns/distinfo djbdns-1.05-ignoreip2.patch
./net/djbdns/distinfo djbdns-1.05-multiip.diff
./net/djbdns/distinfo djbdns-cachestats.patch
   2021-10-07 16:43:07 by Nia Alarie | Files touched by this commit (962)
Log message:
net: Remove SHA1 hashes for distfiles
   2020-01-19 00:36:14 by Roland Illig | Files touched by this commit (3046)
Log message:
all: migrate several HOMEPAGEs to https

pkglint --only "https instead of http" -r -F

With manual adjustments afterwards since pkglint 19.4.4 fixed a few
indentations in unrelated lines.

This mainly affects projects hosted at SourceForce, as well as
freedesktop.org, CTAN and GNU.
   2019-06-16 19:07:02 by Izumi Tsutsui | Files touched by this commit (2) | Package updated
Log message:
ruby-tw: update to 1.3.1.

Upstream changes (from History.txt):

=== 1.3.1 2019-04-15

* use https (#79)
* thank you for contributing @sachin21
   2018-04-29 16:49:31 by Izumi Tsutsui | Files touched by this commit (1)
Log message:
ruby-tw: relax a gemspec version of json.
   2018-02-17 14:22:14 by Izumi Tsutsui | Files touched by this commit (2) | Package updated
Log message:
ruby-tw: update to 1.3.0.

Upstream changes (from History.txt):

=== 1.3.0 2018-02-18

* 280 chars tweet (#75)
   2017-12-09 20:41:18 by Izumi Tsutsui | Files touched by this commit (2) | Package updated
Log message:
ruby-tw: update to 1.2.1.

Upstream changes (from History.txt):

=== 1.2.1 2017-12-10

* Fix deprecated warnings (#77)
* update gems, use twitter v6.2.0, remove yajl-ruby from dependencies (#76)

=== 1.2.0 2017-08-20

* fix --stream option (#73)

=== 1.1.0 2017-07-02

* update rubygems - parallel, rainbow, launchy #72
* fix gemspec for ruby 2.4.x #71